class wxSize;

class Viewport
{
	union
	{
		int viewport[4];
		struct
		{
			int x;
			int y;
			int width;
			int height;
		};
	};

public:
	// Width and height are set to 1 if unknown, to avoid the risk of
	// dividing by 0.
	Viewport(int x = 0, int y = 0, int width = 1, int height = 1);
	Viewport(const wxSize &size, int x = 0, int y = 0);
	double getAspectRatio();
	double getDiagonal();
};
